#
# spec file for package scdb
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           scdb
Source0:        scdb-git-254ed07dc10f93771fddf1d8a1e73e59da529575.tar.gz
Version:        1.15.6
Release:        1.3
Summary:        State Change Database
Url:            https://fedorahosted.org/spacewalk
BuildArch:      noarch
Group:          Applications/Databases
License:        GPL v2 only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       nocpulse-common
%if 0%{?suse_version}
BuildRequires:  nocpulse-common
%define apache_user wwwrun
%define apache_group www
%else
%define apache_user apache
%define apache_group apache
%endif

%description
NOCpulse provides application, network, systems and transaction
monitoring, coupled with a comprehensive reporting system including
availability, historical and trending reports in an easy-to-use browser
interface.

This package contains State Change Database.



%prep
%setup -q -n scdb-git-254ed07dc10f93771fddf1d8a1e73e59da529575

%build
#Nothing to build

%install
rm -rf $RPM_BUILD_ROOT
# Make sure the 'bdb' directory exists
mkdir -p  $RPM_BUILD_ROOT/%{_localstatedir}/lib/nocpulse/scdb/bdb

# Copy the module
mkdir -p $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse
install -m 644 SCDB.pm $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse

%{_fixperms} $RPM_BUILD_ROOT/*

%files
%defattr(-,root,root,-)
%dir %{_localstatedir}/lib/nocpulse
%dir %{_localstatedir}/lib/nocpulse/scdb
%attr(755,%{apache_user},%{apache_group}) %dir %{_localstatedir}/lib/nocpulse/scdb/bdb
%{perl_vendorlib}/NOCpulse/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 15 2010 mantel@suse.de
- fix post-build-checks
* Wed Sep 15 2010 mantel@suse.de
- Initial release of scdb
